<block-ui message="Loading...">
</block-ui>

<div class="">
  <h3 class="mb-3" id="heading">
    {{ addItem ? 'Add Discount Type' : 'Edit Discount Type' }}
  </h3>
  <app-alert [message]="message" [type]="type" id="alert">
  </app-alert>
  <div>
    <form [formGroup]="discountTypeForm">
      <div class="form-group row">
        <div class="col-xl-4 col-md-5">
          <div class="row">
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Discount Name</mat-label>
                <input matInput placeholder="Discount Name" type="text" formControlName="discountName" required appCharLimit
                       [frmGroup]="discountTypeForm" fcName="discountName" [max]="30">

                <mat-error *ngIf="discountTypeForm.get('discountName').hasError('exceedLimit')">
                  {{discountTypeForm.get('discountName').getError('exceedLimit')}}
                </mat-error>

                <mat-error *ngIf="discountTypeForm.get('discountName').hasError('required') || discountTypeForm.get('discountName').hasError('whitespace')">
                  This field is required
                </mat-error>
              </mat-form-field>
            </div>
            <div class="col-xl-12  mb-3">
              <div class="tool-switch-option">
                <h5 class="m-0">
                  Apply to location
                </h5>
                <kendo-switch formControlName="isAllowAllLocation" [onLabel]="'All'" [offLabel]="'Selected'" (valueChange)="onApplyLocationChanged($event)"></kendo-switch>
              </div>
            </div>
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field appearance="outline" *ngIf="discountTypeForm.get('isAllowAllLocation').value == false">
                <mat-label>Location Name</mat-label>
                <app-kendo-multi-select required formControlName="locationName" [textField]="'locationName'"
                                        [valueField]="'id'" [data]="locationList" [filterable]="true"></app-kendo-multi-select>

                <mat-error *ngIf="discountTypeForm.get('locationName').hasError('required')">
                  This field is required.
                </mat-error>
              </mat-form-field>
            </div>
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Type</mat-label>
                <mat-select formControlName="discountType">
                  <mat-option value="Fixed">
                    Fixed
                  </mat-option>
                  <mat-option value="Percentage">
                    Percentage
                  </mat-option>
                </mat-select>
                <mat-error *ngIf="discountTypeForm.get('discountType').hasError('required')">
                  Type is required.
                </mat-error>
              </mat-form-field>
            </div>
            <div class="col-xl-12 d-flex align-items-center">
              <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Amount</mat-label>
                <input matInput placeholder="Amount" type="number" formControlName="discountAmount"  appCharLimit
                       [frmGroup]="discountTypeForm" fcName="discountAmount" [max]="5" appOnlyNumber>

                <mat-error *ngIf="discountTypeForm.get('discountAmount').hasError('exceedLimit')">
                  {{discountTypeForm.get('discountAmount').getError('exceedLimit')}}
                </mat-error>

              </mat-form-field>
            </div>
            <div class="col-xl-12  mb-3">
              <div class="tool-switch-option">
                <h5 class="m-0">
                  Modifiable
                </h5>
                <kendo-switch formControlName="isModifiable" [onLabel]="'Yes'" [offLabel]="'No'"></kendo-switch>
              </div>
            </div>
          </div>
        </div>
        <div class="col-xl-5 col-md-4">

        </div>
        <div class="col-xl-3 col-md-3">
          <div class="col-xl-12 text-right">
            <kendo-switch formControlName="isStatus" *appAccess="moduleName; lookFor: ['C', 'E', 'D']" [onLabel]="'Active'" [offLabel]="'Inactive'" class="mt-3 mb-3"></kendo-switch>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>


<div class="text-right control-row">
  <div class="pt-3 pb-3">
    <button mat-stroked-button color="accent" class="mr-3" (click)="cancel();">Cancel</button>
    <button mat-raised-button color="accent" class="mr-5 wide"
            *appAccess="moduleName; lookFor: ['C', 'E']"
            [disabled]="discountTypeForm.invalid" (click)="submitDiscountType();">Save</button>
  </div>
</div>
